Package com.databricks.jdbc.api.impl.converters

## Class BitConverter

- java.lang.Object
- - com.databricks.jdbc.api.impl.converters.AbstractObjectConverter
  - - com.databricks.jdbc.api.impl.converters.BitConverter

    public class BitConverter
    extends AbstractObjectConverter

### Constructor Summary

Constructors
`BitConverter​(Object object)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Boolean` `convertToBit()`

### Methods inherited from class com.databricks.jdbc.api.impl.converters.AbstractObjectConverter

`convertToAsciiStream, convertToBigDecimal, convertToBigInteger, convertToBinaryStream, convertToBoolean, convertToByte, convertToByteArray, convertToChar, convertToCharacterStream, convertToDate, convertToDouble, convertToFloat, convertToInt, convertToLocalDate, convertToLong, convertToShort, convertToString, convertToTimestamp, convertToTimestamp, convertToUnicodeStream`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BitConverter

    public BitConverter​(Object object)
                 throws DatabricksSQLException

Throws:
  `DatabricksSQLException`

### Method Detail

#### convertToBit

    public Boolean convertToBit()
                         throws DatabricksSQLException

Throws:
  `DatabricksSQLException`